<template>
    <div class="spinner">
        <template if:true={isLoading}>
            <lightning-spinner alternative-text="Loading" variant="brand" size="large"></lightning-spinner>
        </template>
    </div>
    <lightning-card title="New Lead">
        <lightning-layout>
            <lightning-layout-item>
                <lightning-record-edit-form object-api-name="Lead" onsuccess={handleSuccess} onsubmit ={handleSubmit}>
                    <lightning-input-field field-name="Email" required="true"></lightning-input-field> 
                    <lightning-input-field field-name="FirstName" required="true"></lightning-input-field>
                    <lightning-input-field field-name="LastName" required="true"></lightning-input-field>
                    <lightning-input-field field-name="Company" required="true"></lightning-input-field>
                    <lightning-button variant="brand" type="submit" name="save" label="Save"></lightning-button>
                </lightning-record-edit-form>
            </lightning-layout-item>
        </lightning-layout>
    </lightning-card>
</template>